<div id="body" class="container-fluid">
  <h6>PeopleSoft Interface View</h6>
  <dx-data-grid #grid id="gridPSFTInterfaceView" [dataSource]="psftInterfaceView$" [showBorders]="true"
                [rowAlternationEnabled]="true" [columnAutoWidth]="true" [wordWrapEnabled]="true" [selectedRowKeys]="[]"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="single"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
    <dxi-column dataField="deviceId" caption="Device" dataType="string"></dxi-column>
    <dxi-column dataField="plsftRqstnNbr" caption="Requisition Number" dataType="string"></dxi-column>
    <dxi-column dataField="rqstnDt" cellTemplate="rqstnDt" caption="Sent Date" dataType="string"></dxi-column>
    <dxi-column dataField="prchOrdrNbr" caption="Purchase Order Number" dataType="string"></dxi-column>
    <dxi-column dataField="orderStatus" caption="Order Status" dataType="string"></dxi-column>

    <div *dxTemplate="let cell of 'rqstnDt'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
  </dx-data-grid>
</div>

